###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################


##### check for IPv6 support

if( NOT WITH_IPV6)
    set( TQT_NO_IPV6 1 )
 else()
    check_cxx_source_compiles("
    #include <sys/types.h>
    #include <sys/socket.h>
    #include <netinet/in.h>

    int main()
    {
        sockaddr_in6 tmp;
        sockaddr_storage tmp2;
        (void)tmp;
        (void)tmp2;
        return 0;
    }"
    IPV6_SUPPORT)

    if( NOT IPV6_SUPPORT )
        set( NO_IPV6 TQT_NO_IPV6 )
    endif()
endif( NOT WITH_IPV6 )
