/* Install paths from configure */
#include "ntqglobal.h"

// might use nameless namespace as storage class here instead of static keyword specifier

static const char QT_INSTALL_PREFIX[]       = "qt_nstpath=@QT_INSTALL_PREFIX@";
static const char QT_INSTALL_BINS[]         = "qt_binpath=@QT_INSTALL_BINS@";
static const char QT_INSTALL_DOCS[]         = "qt_docpath=@QT_INSTALL_DOCS@";
static const char QT_INSTALL_HEADERS[]      = "qt_hdrpath=@QT_INSTALL_HEADERS@";
static const char QT_INSTALL_LIBS[]         = "qt_libpath=@QT_INSTALL_LIBS@";
static const char QT_INSTALL_PLUGINS[]      = "qt_plgpath=@QT_INSTALL_PLUGINS@";
static const char QT_INSTALL_DATA[]         = "qt_datpath=@QT_INSTALL_DATA@";
static const char QT_INSTALL_TRANSLATIONS[] = "qt_trnpath=@QT_INSTALL_TRANSLATIONS@";
static const char QT_INSTALL_SYSCONF[]      = "qt_cnfpath=@QT_INSTALL_SYSCONF@";
static const char QT_INSTALL_SHARE[]        = "qt_shapath=@QT_INSTALL_SHARE@";

/* strlen( "qt_xxxpath=" ) == 11 */
const char *tqInstallPath()             { return QT_INSTALL_PREFIX       + 11; }
const char *tqInstallPathDocs()         { return QT_INSTALL_DOCS         + 11; }
const char *tqInstallPathHeaders()      { return QT_INSTALL_HEADERS      + 11; }
const char *tqInstallPathLibs()         { return QT_INSTALL_LIBS         + 11; }
const char *tqInstallPathBins()         { return QT_INSTALL_BINS         + 11; }
const char *tqInstallPathPlugins()      { return QT_INSTALL_PLUGINS      + 11; }
const char *tqInstallPathData()         { return QT_INSTALL_DATA         + 11; }
const char *tqInstallPathTranslations() { return QT_INSTALL_TRANSLATIONS + 11; }
const char *tqInstallPathSysconf()      { return QT_INSTALL_SYSCONF      + 11; }
const char *tqInstallPathShare()        { return QT_INSTALL_SHARE        + 11; }
